drkns 2016-09-11 02:47:09+02:00

1. CPP_UNALIGN больше нет - выравниваем вручную только там, где надо.

w17 2016-09-10 23:42:40+03:00

1. CPP_UNALIGN влияет на все платформы при сборке vc

drkns 2015-12-19 13:23:26+02:00

1. NEEDENTRY -> !NOENTRY
   NEEDDEFLIB -> !NODEFLIB
   EXCLUDECRT -> !INCLUDECRT

w17 2013-10-05 11:57:54+04:00

1. makefile_all_vc clean: fix (from CyberShadow)

svs 2013-04-15 16:34:23+04:00

1. Добавлен USERLIBS для VC

yjh 2012-12-20 18:59:52+04:00

1. Случай сборки без def-file при использовании ulink

yjh 2012-12-20 18:28:04+04:00

1. Коррекция makefile_target_inc для режима borland's make
2. Коррекция common\vc10_wrapper_u.cpp для использования стандартных vc-include

drkns 2012-12-15 23:45:12+02:00

1. Редизайн использования vc10-враппера. Теперь всё лежит в одном месте и подхватывается автоматически при необходимости.

w17 2012-10-27 20:44:26+04:00

1. avoid far and standard runtime mixt

w17 2012-10-22 19:42:22+04:00

1. vc build fix

w17 2012-10-13 23:05:52+04:00

1. luamacro added to gcc build + vstudio build + many small build corrections.

yjh 2012-10-04 03:45:21+04:00

1. Устранение последствий "рефакторинга" vc-makes.

drkns 2012-09-30 15:23:09+02:00

1. Немного порефакторим vc-мейки.

zg 2012-09-16 15:08:24+02:00 

1. убран macroview из сборки.

w17 2012-04-12 20:25:30+04:00

1. CP_AUTODETECT -> CP_DEFAULT

w17 2012-02-23 00:49:24+04:00

1. снова mingw gcc сборка

t-rex 2011-12-26 19:35:10+02:00

1. use correct def for GCC x64

t-rex 2011-12-25 22:06:45+02:00

1. asm compilation for VC.

t-rex 2011-12-21 18:24:45+02:00

1. NO_RELEASE_PDB для VC сборки (для нужд Nightly).

w17 2011-11-18 19:21:54+04:00

1. продолжение сборки через mingw gcc 4.6.1 - tdm64

w17 2011-11-17 02:55:35+04:00

1. продолжение сборки через mingw gcc 4.6.1

w17 2011-11-16 13:50:50+04:00

1. сборка плагинов через mingw gcc 4.6.1 (кроме macroview)

t-rex 2011-02-11 13:34:31+02:00

1. Сборка и использование pluginreg.

t-rex 2011-02-06 01:08:10+02:00

1. По умолчанию всё собирается в юникоде кроме ftp и ma.
   Флага WIDE больше нет, есть флаг ANSI.

t-rex 2011-02-06 00:18:17+02:00

1. 1.7 больше нет, избавляемся от convert.exe.

drkns 2010-11-26 13:05:31+02:00

1. Автоопределение версии visual c++.

yjh 2010-11-25 08:59:04+03:00

1. Подготовка к partial delayload при компоновке ulink'ом 
   (см. описание 1727 в unicode_far)

drkns 2010-11-24 11:04:49+02:00

1. "Безопасный" вариант ARRAYSIZE().

drkns 2010-10-06 19:59:59+02:00

1. ASLR.

drkns 2010-08-26 15:43:21+02:00

1. Автоопределение целевой платформы для vc-мейков.

drkns 2010-02-11 20:35:04+02:00

1. Проекты для VS2010.

chupakabra 2009-07-29 20:27:00+02:00

1. Собираем отладочную версию с ключем /debug, чтобы компоновщик создавал приватные символы.

drkns 2009-04-08 19:58:55+02:00

1. common\convert.exe используется и в проектах.

t-rex 2009-04-08 02:10:09+02:00

1. common\convert.exe юзается для "обработки" $(DOCS) для юникод сборки.
   Он конвертит что надо в utf8 и ставит правильные пути реестра где надо.

yjh 2009-01-13 06:02:30+03:00

1. Правка предыдущей правки :) т.е. копирования DOCS для borland's make

t-rex 2009-01-12 16:08:45+02:00

1. Сделаем для VC чтоб как и для GCC можно было в DOCS задать те доп. файлы что надо скопировать в OUTDIR.

t-rex 2009-01-11 15:34:26+02:00

1. для gcc, путь к COMMON можно предопределять извне.

t-rex 2008-12-23 17:20:29+02:00

1. Более правильное создание папок в vc мэйках, нужно как минимум для nightly.

t-rex 2008-12-05 21:31:41+02:00

1. Добавил для VC - /D_CRT_NONSTDC_NO_WARNINGS

2. для VC, путь к COMMON можно предопределять извне.

t-rex 2008-12-02 13:41:42+02:00

1. Дабавим в GCC мэйки поддержку
NEEDENTRY - set if you want to disable the -nostartfiles link flag
NEEDDEFLIB - set if you want to disable the -nodefaultlibs link flag
EXCLUDECRT - set if you do not want to link with common/crt lib.
USERRC - user defined switches for windres
DISABLEAUTODEPS

t-rex 2008-12-02 13:04:59+02:00

1. VC9 дефолтный компилятор, надо выставить VC8 чтоб собирать с VC8 (и за одно исправлена VC8 сборка).

Zuz 2008-10-30 21:38:35+05:00 - build 

1. Необольшая неточность в обработке NEEDDEFLIB в makefile_vc_def_inc для случая
   использования ulink. Ранее оно обрабатывалось только если NEEDENTRY не была
   определена.
2. Поддержка многоядерной компиляции (необходимо определять MP=/MP2, например,
   для 2х ядер).

drkns 2008-10-06 00:05:30+02:00

1. Ветки для IA64 в *.vcproj. Работоспособность не проверялась.

2. Убраны упоминания _FAR_USE_FARFINDDATA.

Zuz 2008-09-28 14:14:10+05:00

1. Первые шаги в сторону IA64
2. proclist пока нормально работает только при
   HKEY_CURRENT_USER\Software\Far18\System\IgnoreDataAlignmentFaults=1

t-rex 2008-06-14 15:28:46+02:00

1. GCC мэйки теперь тоже умееют WIDE

yjh 2008-06-09 06:37:40+03:00

1. Адаптация makesystem для сборки vc9 (VS2008) - пока не по умолчанию. 
   Помимо изменения путей в make_vc_defs следует добавить VC9=1.
   После того как все садаптируются :) сделаем дефолтным

t-rex 2008-06-08 14:57:17+02:00

1. Теперь farversion.hpp получает версию фара автоматом из plugin.hpp. Добавил в мэйки новую зависимость для *.rc.

yjh 2008-06-08 03:09:22+03:00

1. Для того что бы избавиться от диагностик при переопределении OBJDIR (для 
   всяких внутренних библиотек) в make_file_vc... добавлена пара определений:
   CFLAGS_NO и CPP_PROJ_NO - всё то же самое, но без ключа /Fo

yjh 2008-06-08 02:03:56+03:00

1. Включаем ftp в общую сборку (makefile_all_vc) и убираем там ветку
   "непортированного в win64" - не осталось благо такого :)

yjh 2008-06-08 01:26:26+03:00

1. При использовании makefile_all_vc сборка библиотек для 64бит не 
   происходила :)

yjh 2008-06-07 22:39:33+03:00

1. В makefile_vc_... добавлена возможность переопределения имён/путей
   (но не расширений!) rc/def-файлов. Полезно для сборки субплагинов

yjh 2008-06-07 20:45:38+03:00

1. В makefile_vc_... добавлена возможность описывать дополнительные
   зависимости для компоновки (например, "внутренние" библиотеки плагина)
   LINK_DEP.

drkns 2008-06-06 11:04:18+02:00

1. Проекты для VS2008.

t-rex 2008-04-20 00:37:13+02:00

1. В makefile_vc_def_inc, CPP_UNALIGN использовался для x64 вместо x86
   и соответственно MA x64 падал а в x86 могли быть проблемы. 

yjh 2007-11-12 05:14:28+03:00


1. makefile_all_vc теперь поддерживает параметр INSTALL. Если он определён,
   то он задаёт путь куда складываются все бинарники плагинов (каждый
   в свою поддиректорию, естественно). Разделение на 32/32W/64/64W так же
   поддерживается

2. В makefile_vc_defs можно задать DEFINSTALL - тогда при запуске 
   makefile_all_vc без параметра INSTALL будет использовано это значение
   Отдельное имя сделано для того, что бы определение в makefile_vc_defs
   не влияло на "отдельные" сборки плагинов

3. В makefile_all_vc временно добавлены ветки для WIDE и AMD64 - не все плугины
   пока портированы :)

4. В makefile_vc_def_inc добавлена опция отключающая C-выравнивание в 32х
   битах (убираем диагностику при сборке multiarc)


5. Вместо CPU=AMD64 теперь можно писать /DAMD64 (для make) или AMD64=1.
   Старый синтаксис так же допустим


t-rex 2007-11-11 22:53:20+02:00

1. Добавлен (в корневом каталоге плугинов) makefile_all_gcc - он позволяет
   собрать все "тривиальные" плугины одной командой.
   В список, на данный момент, не включены:
   emenu,ftp,newarc - нет стандартного makefile_gcc

t-rex 2007-11-11 22:03:49+02:00

1. Для GCC добавил настройки для C (gcc), оно надо в MA для libpcre.

yjh 2007-11-11 21:34:27+03:00

1. Убрана принудительная компоновка с libcmt в 32хбитах. Там где она
   нужна следует устанавливать NEEDDEFLIB.

2. Корректная обработка NEEDDEFLIB при компоновке ulink'ом


yjh 2007-11-11 17:26:05+03:00

1. Ошибка при использовании стандартного borland make (include)

2. Добавлен файл makefile_vc_getmode для упрощения обработки subplugins

3. multiarc включен в список makefile_all_vc

4. Добавлена поддержка сборки библиотеки (CRT) при использовании make

5. При работе с makefile_all_vc сначала собирается CRT а потом всё остальное


yjh 2007-11-11 15:49:14+03:00

1. makefile_vc (и его include's) теперь могут обрабатываться как nmake (ms),
   так и make от borland

2. Если в каталоге plugins будет находиться makefile_vc_defs (его присутсвие
   НЕ обязательно), то он автоматически покдлючается и позволяет задавать
   "стандартные" режимы и пути. Это позволяет (помимо прочего) не переключать
   environment при сборке 32/64битовых версий.
   Этот файл НЕ включается в репозиторий (он у каждого свой), а пример такого
   файла (используемый мной) ниже

3. Добавлен (в корневом каталоге плугинов) makefile_vc_all - он позволяет
   собрать все "тривиальные" плугины одной командой.
   В список, на данный момент, не включены:
     ftp,helloworld,newarc  - нет стандартного makefile_vc
     multiarc - не общего makefile_vc собирающего и библиотеки с "подплугинами"

4. Добавлен changelog :)

5. Пример файла makefile_vc_defs
---cut---
!ifndef NO_ULINK
ULINK=1
!endif

####################################################################
INCLUDE=""
LIB=""

_ULINK_PATH_=E:\TOOLSES\  # don't remove comment char

ENV_INC_OPT=/IJ:\_MS\SDK\include /IE:\VC8\VC\INCLUDE

!if "$(CPU)" == "AMD64"
!ifndef ULINK
ENV_LIB_OPT=/LIBPATH:J:\_MS\SDK\lib\x64 /LIBPATH:E:\VC8\VC\LIB\amd64
!else
ENV_LIB_OPT=/LJ:\_MS\SDK\lib\x64;E:\VC8\VC\LIB\amd64
!endif
_BIN_PATH_=E:\VC8\VC\bin\x86_amd64\ # don't remove comment char
!else
!ifndef ULINK
ENV_LIB_OPT=/LIBPATH:J:\_MS\SDK\lib /LIBPATH:E:\VC8\VC\LIB
!else
ENV_LIB_OPT=/LJ:\_MS\SDK\lib;E:\VC8\VC\LIB
!endif
_BIN_PATH_=E:\VC8\VC\bin\  # don't remove comment char
!endif

######################################################################
---end---
